const system = require("../../system");
const settings = require("../../../config/settings");

module.exports = (db, DataTypes) => {
    return db.define("esadddata", {
        tmName: DataTypes.STRING,//商标名称
        tmType: DataTypes.STRING,//商标类型
        tmTypeName: DataTypes.STRING,//商标类型名称
        tmSourceTypeName: DataTypes.STRING,//商标来源名称
        picUrl: DataTypes.STRING,//商标图样url
        tmStatusName: DataTypes.STRING,//商标状态名称-申请中
        tmRegistNum:DataTypes.STRING,//注册号
        nclOneCodes: DataTypes.STRING,//商标大类
        nclSmallCodes: DataTypes.TEXT,//商标尼斯数据
        typeName: DataTypes.STRING,//申请人类型名称（企业、个人）
        applyName: DataTypes.STRING,//申请人名称
        applyAddr: DataTypes.STRING,//申请人地址
        principal: DataTypes.STRING,//代理机构名称
    }, {
        paranoid: true,//假的删除
        underscored: true,
        version: true,
        freezeTableName: true,
        //freezeTableName: true,
        // define the table's name
        tableName: 'es_add_data',
        validate: {},
        indexes: []
    });
}